Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.database
Interface ConnectionProvider

All Known Implementing Classes:
  DefaultConnectionProvider, EmbeddedConnectionProvider, JNDIDataSourceProvider

    public interface ConnectionProvider

Abstract class that defines the connection provider framework. Other classes extend this abstract class to make connection to actual data sources.

It is expected that each subclass be a JavaBean, so that properties of the connection provider are exposed through bean introspection.

Author:
  Jive Software

Method Summary
`void` | `destroy()` Tells the connection provider to destroy itself.
`Connection` | `getConnection()` Returns a database connection.
`boolean` | `isPooled()` Returns true if this connection provider provides connections out of a connection pool.
`void` | `restart()` This method should be called whenever properties have been changed so that the changes will take effect.
`void` | `start()` Starts the connection provider.

Method Detail

### isPooled

    boolean isPooled()

  Returns true if this connection provider provides connections out of a connection pool. Implementing and using connection providers that are pooled is strongly recommended, as they greatly increase the speed of Jive.

  Returns:
    true if the Connection objects returned by this provider are pooled.

### getConnection

    Connection getConnection()
                             throws SQLException

  Returns a database connection. When a Jive component is done with a connection, it will call the close method of that connection. Therefore, connection pools with special release methods are not directly supported by the connection provider infrastructure. Instead, connections from those pools should be wrapped such that calling the close method on the wrapper class will release the connection from the pool.

  Returns:
    a Connection object.
  Throws:
    `SQLException` - is an SQL error occured while retrieving the connection.

### start

    void start()

  Starts the connection provider. For some connection providers, this will be a no-op. However, connection provider users should always call this method to make sure the connection provider is started.

### restart

    void restart()

  This method should be called whenever properties have been changed so that the changes will take effect.

### destroy

    void destroy()

  Tells the connection provider to destroy itself. For many connection providers, this will essentially result in a no-op. However, connection provider users should always call this method when changing from one connection provider to another to ensure that there are no dangling database connections.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.